import { renderless, api } from '@opentinyvue/vue-renderless/time-line/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import '@opentinyvue/vue-theme/steps/index.css';
import TimelineItem from '@opentinyvue/vue-timeline-item';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["click"],
  props: [].concat(props, ["vertical", "horizontal", "showNumber", "nameField", "timeField", "start", "data", "space", "active", "reverse", "showStatus", "size", "textPosition", "showDivider", "onlyNumber", "lineWidth", "shape", "autoColorField"]),
  components: {
    TinyTimelineItem: TimelineItem
  },
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    class: ["tiny-timeline tiny-steps", {
      "is-horizontal": _vm.horizontal && !_vm.vertical,
      "tiny-steps--mini": _vm.size === "mini"
    }]
  }, [_c("div", {
    class: _vm.state.computedWrapperClass
  }, [_vm._t("default", function() {
    return _vm._l(_vm.state.nodes, function(node, index) {
      return _c("tiny-timeline-item", {
        key: index,
        attrs: {
          "node-index": index,
          "node": node,
          "space": _vm.space,
          "line-width": _vm.lineWidth,
          "shape": _vm.shape,
          "autoColorField": _vm.autoColorField
        },
        on: {
          "click": function click($event) {
            return _vm.handleClick({
              index,
              node
            });
          }
        },
        scopedSlots: _vm._u([{
          key: "active-node-desc",
          fn: function fn(slotScoped) {
            return [_vm._t("active-node-desc", null, {
              "node": slotScoped.node
            })];
          }
        }, {
          key: "top",
          fn: function fn(_ref) {
            var slotScope = _ref.slotScope;
            return [_vm._t("top", null, {
              "slotScope": slotScope
            })];
          }
        }, {
          key: "bottom",
          fn: function fn(_ref2) {
            var slotScope = _ref2.slotScope;
            return [_vm._t("bottom", null, {
              "slotScope": slotScope
            })];
          }
        }, {
          key: "left",
          fn: function fn(_ref3) {
            var slotScope = _ref3.slotScope;
            return [_vm._t("left", null, {
              "slotScope": slotScope
            })];
          }
        }, {
          key: "right",
          fn: function fn(_ref4) {
            var slotScope = _ref4.slotScope;
            return [_vm._t("right", null, {
              "slotScope": slotScope
            })];
          }
        }], null, true)
      });
    });
  })], 2)]);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
